(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     16527,        441]
NotebookOptionsPosition[     15826,        421]
NotebookOutlinePosition[     16254,        438]
CellTagsIndexPosition[     16211,        435]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8121342801821527`*^9, 
  3.8121342897167373`*^9}},ExpressionUUID->"5ab1d2f0-7434-441a-80dc-\
7a2466f68dfa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MGrafo", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g"}],
     "}"}], ",", 
   RowBox[{"table", "\[Rule]", "True"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.812134304207671*^9, 3.812134310103674*^9}, {
  3.8121343501989155`*^9, 3.8121343748420787`*^9}, {3.812134411286005*^9, 
  3.8121344250556226`*^9}, {3.8121344718359756`*^9, 3.812134475658633*^9}},
 CellLabel->
  "In[106]:=",ExpressionUUID->"75fc2f92-db66-4cc2-bcb7-95fb17715fb6"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`g, $CellContext`d, \
$CellContext`e, $CellContext`f, $CellContext`c}, {
      Null, {{1, 1}, {1, 1}, {1, 2}, {1, 2}, {1, 3}, {2, 2}, {2, 4}, {2, 5}, {
       2, 6}, {7, 1}, {7, 4}, {7, 4}, {7, 4}, {7, 4}, {4, 5}, {5, 6}, {5, 
       6}, {5, 6}, {6, 3}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.0678280616566158`, 0.}, {
          1.4147528031093568`, -0.03843405458874105}, {
          1.4853796936960042`, -0.13386632021175965`}, {
          1.4951089018277568`, -0.2131270642706968}, {
          1.3490683996848827`, -0.3858703592759464}, {
          1.2692936032480815`, -0.3894626973884041}, {
          1.1634415854559486`, -0.3356963015150093}, {1.0678280616566158`, 
          0.}},
          SplineDegree->7], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.0678280616566158`, 0.}, {
          0.9722657446996738, -0.3357108821024462}, {
          0.8664219294433769, -0.38949342358080646`}, {
          0.7866465859741958, -0.3859132540287499}, {
          0.6405797359801421, -0.2131922374493304}, {
          0.6502968538915304, -0.13393001025917714`}, {
          0.7209091868121156, -0.038486972611619596`}, {1.0678280616566158`, 
          0.}},
          SplineDegree->7], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.0678280616566158`, 0.}, {
          0.9012845173587717, 0.5068611778978223}, {1.0681054889308303`, 
          1.0136311150991137`}}], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.0678280616566158`, 0.}, {
          1.2346490332286781`, 0.5067699372013035}, {1.0681054889308303`, 
          1.0136311150991137`}}], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0678280616566158`, 0.}, {2.134382678236156, 
          0.17985791516946215`}}, 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0678280616566158`, 0.}, {0., 0.17990515219668413`}}, 
          0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.0681054889308303`, 
          1.0136311150991137`}, {1.412086450750641, 0.9939351268482711}, {
          1.4894972118325331`, 0.8992296934730962}, {1.5029555537773998`, 
          0.8180481736275236}, {1.3585375382196903`, 0.6354823472343772}, {
          1.276438162599428, 0.6298914032080809}, {1.1664563388599845`, 
          0.6834221746297914}, {1.0681054889308303`, 1.0136311150991137`}},
          SplineDegree->7], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0681054889308303`, 1.0136311150991137`}, {
          0.19621692712669736`, 1.2194260985044352`}}, 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0681054889308303`, 1.0136311150991137`}, {
          1.0672884909187113`, 1.7947375104364944`}}, 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0681054889308303`, 1.0136311150991137`}, {
          1.9382204658014648`, 1.219709299747644}}, 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{2.134382678236156, 0.17985791516946215`}, {
          1.9382204658014648`, 1.219709299747644}}, 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.19621692712669736`, 1.2194260985044352`}, {
          1.0672884909187113`, 1.7947375104364944`}}, 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.19621692712669736`, 
          1.2194260985044352`}, {0.269048064686695, 0.6673995672438714}, {0., 
          0.17990515219668413`}}], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.19621692712669736`, 
          1.2194260985044352`}, {0.15525994226186177`, 0.688877879734841}, {
          0., 0.17990515219668413`}}], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.19621692712669736`, 
          1.2194260985044352`}, {0.040956984864829724`, 0.7104533709662469}, {
          0., 0.17990515219668413`}}], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{0.19621692712669736`, 
          1.2194260985044352`}, {-0.07283113755999887, 0.7319316834572527}, {
          0., 0.17990515219668413`}}], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.0672884909187113`, 
          1.7947375104364944`}, {1.5973125469771345`, 1.6504401097874557`}, {
          1.9382204658014648`, 1.219709299747644}}], 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.0672884909187113`, 1.7947375104364944`}, {
          1.9382204658014648`, 1.219709299747644}}, 0.02369258147657785]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{1.0672884909187113`, 
          1.7947375104364944`}, {1.4081964097430435`, 1.3640067003966792`}, {
          1.9382204658014648`, 1.219709299747644}}], 0.02369258147657785]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{1.0678280616566158, 0.}, 0.02369258147657785], 
         InsetBox["a", 
          Offset[{2, 2}, {1.0915206431331936, 0.02369258147657785}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0681054889308303, 1.0136311150991137}, 
          0.02369258147657785], 
         InsetBox["b", 
          Offset[{2, 2}, {1.0917980704074082, 1.0373236965756916}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.134382678236156, 0.17985791516946215}, 
          0.02369258147657785], 
         InsetBox["g", Offset[{2, 2}, {2.158075259712734, 0.20355049664604}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.19621692712669736, 1.2194260985044352}, 
          0.02369258147657785], 
         InsetBox["d", 
          Offset[{2, 2}, {0.2199095086032752, 1.243118679981013}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0672884909187113, 1.7947375104364944}, 
          0.02369258147657785], 
         InsetBox["e", 
          Offset[{2, 2}, {1.090981072395289, 1.8184300919130723}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9382204658014648, 1.219709299747644}, 
          0.02369258147657785], 
         InsetBox["f", 
          Offset[{2, 2}, {1.9619130472780426, 1.2434018812242218}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.17990515219668413}, 0.02369258147657785], 
         InsetBox["c", 
          Offset[{2, 2}, {0.02369258147657785, 0.20359773367326198}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8121343657874537`*^9, 3.8121343839404974`*^9}, {
   3.8121344153909025`*^9, 3.81213442584651*^9}, 3.81213447688179*^9},
 CellLabel->
  "Out[106]=",ExpressionUUID->"8c16c8c2-c262-4afe-8754-e92dbc590d74"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "2", "2", "1", "0", "0", "0", "1"},
     {
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "2", "1", "0", "1", "1", "1", "0"},
     {
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "4", "0", "0", "0"},
     {
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "4", "0", "1", "0", "0"},
     {
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "1", "0", "3", "0"},
     {
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "1", "0", "0", "3", "0", "1"},
     {
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "1", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8121343657874537`*^9, 3.8121343839404974`*^9}, {
   3.8121344153909025`*^9, 3.81213442584651*^9}, 3.8121344768877735`*^9},
 CellLabel->
  "Out[107]//TableForm=",ExpressionUUID->"3c36d887-273a-4b5c-8459-\
07e940eeabb1"]
}, Open  ]]
},
WindowSize->{949, 478},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f62e047c-4ac3-423c-b9df-d2b39663a5ec"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 184, 4, 63, "Input",ExpressionUUID->"5ab1d2f0-7434-441a-80dc-7a2466f68dfa"],
Cell[CellGroupData[{
Cell[767, 28, 1878, 54, 432, "Input",ExpressionUUID->"75fc2f92-db66-4cc2-bcb7-95fb17715fb6"],
Cell[2648, 84, 7473, 146, 727, "Output",ExpressionUUID->"8c16c8c2-c262-4afe-8754-e92dbc590d74"],
Cell[10124, 232, 5686, 186, 400, "Output",ExpressionUUID->"3c36d887-273a-4b5c-8459-07e940eeabb1"]
}, Open  ]]
}
]
*)

